
Action for re-tagging an existing docker multi-arch manifest

## Inputs

### `registry`

URL to the container registry

required: true

### `insecure`

If "true", will use HTTP rather than HTTPS

required: false

### `username`

Username to use to authenticate to the container registry

required: false

### `password`

Password to use to authenticate to the container registry

required: false

### `manifest`

The name/tag of the existing manifest in the registry

required: true

### `tags`

Newline or comma delimited list of new tags to apply to the manifest

required: true


## Example usage

```yaml
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - name: Tag the "gitea.example.com/owner/package:latest" image with some new tags
      uses: https://gitea.jbrumond.me/actions/tag-manifest@v0.1
      with:
        # Container registry where the manifest is hosted
        registry: gitea.example.com

        # Credentials to access the registry
        username: ${{ secrets.REGISTRY_USERNAME }}
        password: ${{ secrets.REGISTRY_PASSWORD }}
        
        # Existing manifest to apply tags to
        manifest: owner/package:latest

        # New tags to apply (either of these works):
        tags: tag1,tag2,tag3
        tags: |
          tag1
          tag2
          tag3
```
